summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-08-17 20:08:40 +0000
committer Eric Hameleers <alien@slackware.com>2021-08-18 08:59:48 +0200
commit4dd4f47b2c102c8bc2fbb9403eb80808ea4c7b29 (patch)
treee62d3209e7c06102c4520f83e1b015dede264a15 /source
parentc6af8d2fd5b54097522f6682b05fd212dcf4bbff (diff)
downloadcurrent-4dd4f47b2c102c8bc2fbb9403eb80808ea4c7b29.tar.gz
current-4dd4f47b2c102c8bc2fbb9403eb80808ea4c7b29.tar.xz
Tue Aug 17 20:08:40 UTC 202120210817200840
a/aaa_glibc-solibs-2.33-x86_64-4.txz: Rebuilt. a/util-linux-2.37.2-x86_64-1.txz: Upgraded. d/git-2.33.0-x86_64-1.txz: Upgraded. d/vala-0.52.5-x86_64-1.txz: Upgraded. l/gexiv2-0.12.3-x86_64-1.txz: Upgraded. l/glibc-2.33-x86_64-4.txz: Rebuilt. In librt, sysdeps/unix/sysv/linux/mq_notify.c mishandles certain NOTIFY_REMOVED data, leading to a NULL pointer dereference. NOTE: this vulnerability was introduced as a side effect of the CVE-2021-33574 fix. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-38604 (* Security fix *) l/glibc-i18n-2.33-x86_64-4.txz: Rebuilt. l/glibc-profile-2.33-x86_64-4.txz: Rebuilt. l/libcap-2.53-x86_64-1.txz: Upgraded. l/python2-module-collection-2.7.18-x86_64-5.txz: Rebuilt. Added dbus-python-1.2.16. n/ModemManager-1.16.10-x86_64-1.txz: Upgraded. n/NetworkManager-1.32.8-x86_64-1.txz: Upgraded. n/stunnel-5.60-x86_64-1.txz: Upgraded. xap/mozilla-firefox-91.0.1-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/firefox/91.0.1/releasenotes/ https://www.mozilla.org/security/advisories/mfsa2021-37/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-29991 (* Security fix *) xap/mozilla-thunderbird-91.0.1-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/91.0.1/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2021-37/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-29991 (* Security fix *)
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/glibc/glibc.SlackBuild2
-rw-r--r--source/l/glibc/patches/CVE-2021-38604.patch40
-rwxr-xr-xsource/l/python2-module-collection/python2-module-collection.SlackBuild33
3 files changed, 72 insertions, 3 deletions
diff --git a/source/l/glibc/glibc.SlackBuild b/source/l/glibc/glibc.SlackBuild
index 2efeaa18b..d0f49b5c6 100755
--- a/source/l/glibc/glibc.SlackBuild
+++ b/source/l/glibc/glibc.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
VERSION=${VERSION:-$(echo glibc-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
diff --git a/source/l/glibc/patches/CVE-2021-38604.patch b/source/l/glibc/patches/CVE-2021-38604.patch
new file mode 100644
index 000000000..ad0a81588
--- /dev/null
+++ b/source/l/glibc/patches/CVE-2021-38604.patch
@@ -0,0 +1,40 @@
+From b805aebd42364fe696e417808a700fdb9800c9e8 Mon Sep 17 00:00:00 2001
+From: Nikita Popov <npv1310@gmail.com>
+Date: Mon, 9 Aug 2021 20:17:34 +0530
+Subject: [PATCH] librt: fix NULL pointer dereference (bug 28213)
+
+Helper thread frees copied attribute on NOTIFY_REMOVED message
+received from the OS kernel. Unfortunately, it fails to check whether
+copied attribute actually exists (data.attr != NULL). This worked
+earlier because free() checks passed pointer before actually
+attempting to release corresponding memory. But
+__pthread_attr_destroy assumes pointer is not NULL.
+
+So passing NULL pointer to __pthread_attr_destroy will result in
+segmentation fault. This scenario is possible if
+notification->sigev_notify_attributes == NULL (which means default
+thread attributes should be used).
+
+Signed-off-by: Nikita Popov <npv1310@gmail.com>
+Reviewed-by: Siddhesh Poyarekar <siddhesh@sourceware.org>
+---
+ sysdeps/unix/sysv/linux/mq_notify.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/sysdeps/unix/sysv/linux/mq_notify.c b/sysdeps/unix/sysv/linux/mq_notify.c
+index 9799dcdaa4..eccae2e4c6 100644
+--- a/sysdeps/unix/sysv/linux/mq_notify.c
++++ b/sysdeps/unix/sysv/linux/mq_notify.c
+@@ -131,7 +131,7 @@ helper_thread (void *arg)
+ to wait until it is done with it. */
+ (void) __pthread_barrier_wait (&notify_barrier);
+ }
+- else if (data.raw[NOTIFY_COOKIE_LEN - 1] == NOTIFY_REMOVED)
++ else if (data.raw[NOTIFY_COOKIE_LEN - 1] == NOTIFY_REMOVED && data.attr != NULL)
+ {
+ /* The only state we keep is the copy of the thread attributes. */
+ __pthread_attr_destroy (data.attr);
+--
+2.27.0
+
+
diff --git a/source/l/python2-module-collection/python2-module-collection.SlackBuild b/source/l/python2-module-collection/python2-module-collection.SlackBuild
index ee5dc4f4b..a4b4f26d1 100755
--- a/source/l/python2-module-collection/python2-module-collection.SlackBuild
+++ b/source/l/python2-module-collection/python2-module-collection.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python2-module-collection
VERSION=2.7.18
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -457,6 +457,35 @@ cp -a \
AUTHORS COPYING ChangeLog INSTALL PKG-INFO README TODO \
$PKG/usr/doc/$PKGNAM-$VERSION/pyxdg-0.26
+# dbus-python-1.2.16:
+cd $TMP/$PKGNAM-$VERSION || exit 1
+tar xf $CWD/modules/dbus-python-1.2.16.tar.lz
+cd dbus-python-1.2.16
+fix_perms
+PYTHON_VERSION=2 \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-html-docs \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/dbus-python-1.2.16
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION/dbus-python-1.2.16
+
+# Remove overlap with main package:
+rm -rf $PKG/usr/include
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null